import Command, { flags } from "@oclif/command";
export default abstract class BaseCommand extends Command {
    static flags: {
        "jira-host": flags.IOptionFlag<string | undefined>;
        "jira-email": flags.IOptionFlag<string | undefined>;
        "jira-access-token": flags.IOptionFlag<string | undefined>;
        "github-access-token": flags.IOptionFlag<string | undefined>;
        "interactive": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    interactive: boolean;
    jiraHost: string;
    jiraUser: string;
    jiraAccessToken: string;
    run(): Promise<void>;
    listPrompter(choicesProvider: () => Promise<{}[]>): (name: string) => Promise<any>;
    valuePrompter(defaultValue?: any): (name: string) => Promise<any>;
    confirmPrompter(defaultValue: boolean): (name: string) => Promise<any>;
    getFlagValue2(flags: {}, flag: string, prompter: (name: string) => Promise<string>, defaultValue?: any): Promise<any>;
    getFlagValue(flags: any, flag: string, defaultValue?: any): Promise<any>;
}
